//PROGRAMM FOR BLINKING LED
//
// PROCESSOR : PIC16F688
// CLOCK	 : 20MHz, EXTERNAL
// SPEED     : 9600 bps(1bit=104us)

#include	<pic.h>

__CONFIG(WDTDIS & MCLREN & BORDIS & HS & PWRTEN & FCMDIS & IESODIS) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	OPTION	= 0x80;			// GPIO pull-ups are disabled
	INTCON 	= 0x0;			// Disable inerupt
	WPUA 	= 0x0;			// pull-up disable
	ANSEL 	= 0x0;			// port as Digital IO
	CMCON0 	= 0x07;		    // port as Digital IO
	TRISC2 	= 0;			// Led pin as output
	


	// loop forever - echo 
	while(1) {

		// Toggle led
		PORTC ^= 0x04; 
		// Simple delay
		Delay(50000);
	}
}
